summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-06-03 00:52:56 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-06-03 00:52:56 (EDT)
commit566a93b87cbc2f06f6c2affe628503a3b24cd29b (patch)
tree5904bc5a306c0a1e1895fb74ef1c1e00c77c5662
parent5c02cf4c7fc840b3cf35ba38924a4d5b5f705936 (diff)
s/-e/-f/ in maintainer scripts.
-rwxr-xr-xbusybox.pkg/postinst4
-rwxr-xr-xbusybox.pkg/prerm2
2 files changed, 3 insertions, 3 deletions
diff --git a/busybox.pkg/postinst b/busybox.pkg/postinst
index f5a66aa..6de6916 100755
--- a/busybox.pkg/postinst
+++ b/busybox.pkg/postinst
@@ -5,14 +5,14 @@ if [ "x${1}" = 'xconfigure' ]; then
update-alternatives --install "${link}" "${name}" \
"${link}.busybox" "${prio}"
done </usr/share/busybox/alternatives
- if ! [ -e /etc/rc.policy ]; then
+ if ! [ -f /etc/rc.policy ]; then
if [ "x$(cat /etc/proteanos_plat)" = 'xdev' ]; then
printf 'disabled' >/etc/rc.policy
else
printf 'enabled' >/etc/rc.policy
fi
fi
- if [ -e /usr/share/busybox/init-scripts ]; then
+ if [ -f /usr/share/busybox/init-scripts ]; then
while read script; do
if [ "x${2:+set}" != 'xset' ]; then
"/etc/init.d/${script}" enable
diff --git a/busybox.pkg/prerm b/busybox.pkg/prerm
index a726c63..6f7635d 100755
--- a/busybox.pkg/prerm
+++ b/busybox.pkg/prerm
@@ -1,7 +1,7 @@
#!/bin/sh
if [ "x${1}" = 'xupgrade' ]; then
- if [ -e /usr/share/busybox/init-scripts ]; then
+ if [ -f /usr/share/busybox/init-scripts ]; then
while read script; do
"/etc/init.d/${script}" stop
done </usr/share/busybox/init-scripts